Bug 89248 - Run a new hook when a new spec file is created.
Summary: Run a new hook when a new spec file is created.
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-21 21:34 UTC by Dams
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 03:50:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modifications to rpm-spec-mode.el (873 bytes, patch)
2003-04-21 21:36 UTC, Dams
no flags Details | Diff

Description Dams 2003-04-21 21:34:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Actually, when a new rpm spec file is created, a function called
rpm-spec-initialize is invoked. I propose a patch to instead run a new hook to
allow more than one function to be run..

Version-Release number of selected component (if applicable):
emacs-el-21.2-33

How reproducible:
Always

Steps to Reproduce:
1. emacs &
2. in emacs : C-x C-f foo.spec RET
3.
    

Actual Results:  rpm-spec-initialize is invoked..

Additional info:

Comment 1 Dams 2003-04-21 21:36:18 UTC
Created attachment 91213 [details]
Modifications to rpm-spec-mode.el

Comment 2 Jens Petersen 2003-04-22 03:50:19 UTC
Ok, I'm passing this upstream to see what the maintainer thinks.
Thanks.


Note You need to log in before you can comment on or make changes to this bug.